## ide-documentation ide-documentation |

## Functions

IdeDocumentationInfo * | ide_documentation_get_info ()

## Types and Values

#define | IDE_TYPE_DOCUMENTATION
| IdeDocumentation

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdeDocumentation

## Description

## Functions

### ide_documentation_get_info ()

    IdeDocumentationInfo *
    ide_documentation_get_info (IdeDocumentation *self,
                                const gchar *input,
                                IdeDocumentationContext context);

Requests documentation for the keyword.

#### Parameters

self | An IdeDocumentation |
input | the search keyword |
context | the context for the request |

#### Returns

An IdeDocumentationInfo.

[transfer full]

## Types and Values

### IDE_TYPE_DOCUMENTATION

    #define IDE_TYPE_DOCUMENTATION (ide_documentation_get_type())

### IdeDocumentation

    typedef struct _IdeDocumentation IdeDocumentation;